'use strict';

var isProduction = process.env.NODE_ENV === 'production';
function warning(condition, message) {
  if (!isProduction) {
    if (condition) {
      return;
    }

    if (typeof console !== 'undefined') {
      console.warn(message);
    }

    try {
      throw Error(message);
    } catch (x) {}
  }
}

module.exports = warning;
